Subject: bug#7596: closed (Re: bug#7596: 23.2.90; fill-flowed with DELETE-SPACE option does not work)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 22 Jan 2011 19:42:02 +0000

Your bug report

#7596: 23.2.90; fill-flowed with DELETE-SPACE option does not work

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
7596: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=7596
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#7596: 23.2.90; fill-flowed with DELETE-SPACE option does not work
From: Lars Ingebrigtsen <[email-masked]>
To: Chong Yidong <[email-masked]>
Cc: Kazuhiro Ito <[email-masked]>, [email-masked], [email-masked]
Date: Sat, 22 Jan 2011 20:48:49 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Chong Yidong <[email-masked]> writes:

>> I expect DELETE-SPACE option corresponds to "DelSp" parameter in
>> RFC3676 and works so.  Plesse see attached patch.
>
> Could a Gnus developer please review Kazuhiro Ito's patch?  Thanks.

It looks reasonable to me.  I've applied the patch.

-- 
(domestic pets only, the antidote for overdose, milk.)
  [email-masked] * Lars Magne Ingebrigtsen

Subject: 23.2.90; fill-flowed with DELETE-SPACE option does not work
From: Kazuhiro Ito <[email-masked]>
To: [email-masked]
Date: Thu, 09 Dec 2010 08:48:00 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

When I start emacs (emacs-23 branch) with -Q and evaluate below code,
I receive unexpected result.

(with-temp-buffer
  (insert "ABC \nDEF")
  (fill-flowed nil t)
  (buffer-string))

It returns 

"ABC
DEF"

But I expect 

"ABCDEF"

I expect DELETE-SPACE option corresponds to "DelSp" parameter in
RFC3676 and works so.  Plesse see attached patch.

-- 
Kazuhiro Ito